"use strict";
/**
 * Check if current process is running as root.
 * @example
 * isRoot() // => true
 */
Object.defineProperty(exports, "__esModule", { value: true });
var isRoot = function () {
    return process.env.USER === 'root' || !!(process.getuid && process.getuid() === 0);
};
exports.default = isRoot;
