"use strict";
/**
 * Gets the global for your current context.
 * @example
 * getGlobal() // => window, global, whatever
 */
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable no-undef */
// eslint-disable-next-line @typescript-eslint/ban-types
var getGlobal = function () {
    // @ts-ignore
    if (typeof self !== 'undefined') {
        // @ts-ignore
        return self;
    }
    // @ts-ignore
    if (typeof window !== 'undefined') {
        // @ts-ignore
        return window;
    }
    // @ts-ignore
    if (typeof global !== 'undefined') {
        return global;
    }
};
exports.default = getGlobal;
