"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var dns_1 = require("dns");
var os_1 = require("os");
var util_1 = require("util");
/**
 * @example
 * getLocalIp().then(console.log) // => 10.0.0.0
 */
var getLocalIp = function () {
    return util_1.promisify(dns_1.lookup)(os_1.hostname()).then(function (r) { return r.address; });
};
exports.default = getLocalIp;
