"use strict";
/**
 * `decodeURIComponent`, but safe
 * @example
 * safeDecodeURIComponent('20%2F%3F') // => '20/?'
 */
Object.defineProperty(exports, "__esModule", { value: true });
var safeDecodeURIComponent = function (str) {
    try {
        return decodeURIComponent(str);
    }
    catch (_a) {
        return str;
    }
};
exports.default = safeDecodeURIComponent;
