"use strict";
/**
 * Log a value to console, and return that value
 * @example
 * const logger = tap('This is the thing!')
 * logger(2) // => this is the thing 2 ; 2
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tap = function (msg) { return function (a) {
    console.log(msg, a);
    return a;
}; };
exports.default = tap;
